// MILLWORK LIBRARY dialogs - DEMO - 01950407
dcl_settings : default_dcl_settings { audit_level = 0;}

// Start-up dialog
mwl_logo : dialog {
  key = "label"; 
  : image_button {
     allow_accept = true; color = 0; key = "mwlogo";
     width = 30; height = 20;  }
  : row { ok_index_hlp ; }
}

// Information dialog
mwl_info : dialog { key = "label";
  : row { fixed_width = true; alignment = centered;
     : text { label = "All profiles in the"; }  }
  : row { fixed_width = true; alignment = centered;
     : text { label = "MILLWORK LIBRARY"; }  }
  : row { fixed_width = true; alignment = centered;
     : text { label = "are available from:"; }  }
  : row { fixed_width = true; alignment = centered;
     : text { label = " * * * * "; }  }
  : row { fixed_width = true; alignment = centered;
     : text { label = "DESIGN MILLWORK INC."; }  }
  : row { fixed_width = true; alignment = centered;
     : text { label = "Ray Willman"; }  }
  : row { fixed_width = true; alignment = centered;
     : text { label = "Marketing"; }  }
  : row { fixed_width = true; alignment = centered;
     : text { label = "(509) 927-8300"; }  }
  : row { fixed_width = true; alignment = centered;
     : text { label = "Spokane Industrial Park"; }  }
  : row { fixed_width = true; alignment = centered;
     : text { label = "Bldg #14 East Bay"; }  }
  : row { fixed_width = true; alignment = centered;
     : text { label = "Spokane, Washington 99216"; }  }
  : row { fixed_width = true; alignment = centered;
     : text { label = "Manufactures of Wood Mouldings"; }  }
  : row { fixed_width = true; alignment = centered;
     : text { label = " Production and Custom Woodworking "; }  }
  : row { fixed_width = true; alignment = centered;
     : text { label = "Light Assembly - Wood Signs"; }  }
  : row { fixed_width = true; alignment = centered;
     : text { label = " * * * * "; }  }
  : row { fixed_width = true; alignment = centered;
     : text { label = "DESIGN MILLWORK INC."; }  }
  : row { fixed_width = true; alignment = centered;
     : text { label = "will match any existing profile"; }  }
  : row { fixed_width = true; alignment = centered;
     : text { label = "or custom craft YOUR design."; }  }
  : row { fixed_width = true; alignment = centered;
     : text { label = "Call for setup costs."; }  }
  : row { fixed_width = true; alignment = centered;
     : text { label = "    "; }  }
  : row { ok_done_hlp ; }
}

// Help dialog
mwl_help : dialog { label = "MILLWORK LIBRARY";
  : row { fixed_width = true; alignment = centered;
     : text { label = "HELP FILE"; }  }
  : list_box { key = "helpfile"; width = 82; height = 25;  }
  : row { ok_done_inf ; }
}

// Standards dialog
mwl_stds : dialog { key = "label" ;
  : row { fixed_width = true; alignment = centered;
     : text { label = "INDEX"; }  }
  : row { fixed_width = true; alignment = centered;
     : radio_button { key = "attr"; label = "Set Attribute Defaults";
        mnemonic = "S"; fixed_width = true; width = 23; is_default = false; }
  } 
  : boxed_radio_column { key = "standards";  label = "Millwork Standards";
     fixed_width = true; fixed_height = true; width = 30;  height = 5;
     : radio_button { key = "awi"; label = "Architectural Woodworking Institute";
        mnemonic = "A"; fixed_width = true; width = 30; is_default = false;     }
     : radio_button { key = "wm"; label = "Wood Mould Millwork Producers Assoc.";
        mnemonic = "W"; fixed_width = true; width = 30; is_default = false;     }
     : radio_button { key = "mm"; label = "Design Millwork Inc. Mix & Match Series";
        mnemonic = "D"; fixed_width = true; width = 30; is_default = false;     }
  }
  : row { fixed_width = true; alignment = centered;
     : radio_button { key = "sld"; label = "DEMO - Trim Detail Slides";
        mnemonic = "E"; fixed_width = true; width = 25; is_default = false; }
  }
  : row { fixed_width = true; alignment = centered;
     : radio_button { key = "lbl"; label = "Label Millwork Profiles";
        mnemonic = "L"; fixed_width = true; width = 23; is_default = false; }
  }
  : column { ok_cancel_hlp; mw_err; }
}

// Attributes dialog
mwl_atts : dialog {
  label = "Millwork Attributes";
  : row {
    : boxed_column { label = "Material"; spacer;
      : text { label = "Wood type:"; mnemonic = "W"; }
        : edit_box { key = "mat"; edit_width = 10;
          value = MAT; }
    }
    : boxed_column { label = "Finish"; spacer;
      : text { label = "Finish type:"; mnemonic = "F"; }    
        : edit_box { key = "fin"; edit_width = 14;
          value = FIN; }
    }
  }
  : row {
    : boxed_column { label = "Source"; spacer;
      : text { label = "Manufacturer/Supplier:"; mnemonic = "M"; }    
        : edit_box { key = "mfg"; edit_width = 19;
          value = MFG; }
    }
    : boxed_column { label = "Cost/ft"; spacer;
      : text { label = "Price:"; mnemonic = "P"; }
        : edit_box { key = "cpf"; edit_width = 5;
          value = CPF; }
    }
  }
  : row { ok_done_hlp;  }
}

// Catagories dialog
mwl_cats : dialog { key = "main";
  : row { fixed_width = true; alignment = centered;
     : text { label = "Catagories"; }  }
  : column {
     : list_box { key = "clist"; width = 24; fixed_width = true;
        alignment = centered; height = 8; }  }
  spacer_1; ok_index_hlp; mw_err;
}

// Icons dialog
mwl_icns : dialog { key = "title";
  : row { spacer_1;
     : column { spacer_1;
        : row {
           : icon_image { key = "ic0"; width = 20; } spacer_1;
           : icon_image { key = "ic1"; width = 20; } spacer_1;
           : icon_image { key = "ic2"; width = 20; }  } spacer_1;
        : row {
           : icon_image { key = "ic3"; width = 20; } spacer_1;
           : icon_image { key = "ic4"; width = 20; } spacer_1;
           : icon_image { key = "ic5"; width = 20; }  } spacer_1;
        : row {
           : icon_image { key = "ic6"; width = 20; } spacer_1;
           : icon_image { key = "ic7"; width = 20; } spacer_1;
           : icon_image { key = "ic8"; width = 20; }  } spacer_1;
     } spacer_1;
  }
  : row { fixed_width = true; alignment = centered;
     spacer_1; cancel_button; spacer_1; hlp_button; spacer_1;  }
}

// support definitions
mw_err : text { label = ""; key = "error"; width = 32;
  alignment = centered; is_error_tile = true; }

done_button : button { label = " Done ";
  key = "done"; mnemonic = "D"; is_default = false; }

inf_button : button { label = "  Info  ";
  key = "info"; mnemonic = "I"; is_default = false; }

index_button : button { label = " Index ";
  key = "index"; mnemonic = "x"; is_default = false; }

hlp_button : button { label = "Help";
  fixed_width = true; width = 8;  key = "hlp"; mnemonic = "H"; }

ok_done_inf : column {
  : row { fixed_width = true;
    alignment = centered; 
    ok_button;
    : spacer { width = 1; }
    done_button;
    : spacer { width = 1; }
    inf_button;
  }
}

ok_done_hlp : column {
  : row { fixed_width = true;
    alignment = centered;
    ok_button;
    : spacer { width = 1; }
    done_button;
    : spacer { width = 1; }
    hlp_button;
  }
}

ok_index_hlp : column {
  : row { fixed_width = true;
    alignment = centered;
    ok_button;
    : spacer { width = 1; }
    index_button;
    : spacer { width = 1; }
    hlp_button;
  }
}

ok_cancel_hlp : column {
  : row { fixed_width = true;
    alignment = centered;
    ok_button;
    : spacer { width = 1; }
    cancel_button;
    : spacer { width = 1; }
    hlp_button;
  }
}

ok_cancel_index : column {
  : row { fixed_width = true;
    alignment = centered;
    ok_button;
    : spacer { width = 1; }
    cancel_button;
    : spacer { width = 1; }
    index_button;
  }
}
// end mwl.dcl
